Package org.bukkit.map

# Class MapFont

java.lang.Object
org.bukkit.map.MapFont

Direct Known Subclasses:
  `MinecraftFont`

public class MapFont extends Object
Represents a bitmap font drawable to a map.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MapFont.CharacterSprite`
Represents the graphics for a single character in a MapFont.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`malleable`

## Constructor Summary

Constructors
Constructor
Description
`MapFont()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable MapFont.CharacterSprite`
`getChar(char ch)`
Get the sprite for a given character.
`int`
`getHeight()`
Get the height of this font.
`int`
`getWidth(@NotNull String text)`
Get the width of the given text as it would be rendered using this font.
`boolean`
`isValid(@NotNull String text)`
Check whether the given text is valid.
`void`
`setChar(char ch, @NotNull MapFont.CharacterSprite sprite)`
Set the sprite for a given character.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### malleable

protected boolean malleable

## Constructor Details

### MapFont

public MapFont()

## Method Details

### setChar

public void setChar(char ch, @NotNull @NotNull MapFont.CharacterSprite sprite)
Set the sprite for a given character.

Parameters:
  `ch` - The character to set the sprite for.
  `sprite` - The CharacterSprite to set.
Throws:
  `IllegalStateException` - if this font is static.

### getChar

@Nullable public @Nullable MapFont.CharacterSprite getChar(char ch)
Get the sprite for a given character.

Parameters:
  `ch` - The character to get the sprite for.
Returns:
  The CharacterSprite associated with the character, or null if there is none.

### getWidth

public int getWidth(@NotNull @NotNull String text)
Get the width of the given text as it would be rendered using this font.

Parameters:
  `text` - The text.
Returns:
  The width in pixels.

### getHeight

public int getHeight()
Get the height of this font.

Returns:
  The height of the font.

### isValid

public boolean isValid(@NotNull @NotNull String text)
Check whether the given text is valid.

Parameters:
  `text` - The text.
Returns:
  True if the string contains only defined characters, false otherwise.